"use strict";

const babel = require('babel-core');

const t = require('babel-types');

const utils = require('./utils');

const mobxPatch = require('./mobxPatch');

const visitor = {
  ExpressionStatement(path) {
    mobxPatch.transExpressionStatement(path);
  },

  FunctionDeclaration(path) {
    mobxPatch.transFunctionDeclaration(path);
  }

};

module.exports = function () {
  // 名称必须是visitor
  return {
    visitor
  };
};